# Spearhead Cloud Documentation

> Get started with Spearhead Cloud today. Sign-up for a [free trial](https://spearhead.cloud/trial).


## Overview
Spearhead Cloud allows you to quickly and easily set-up high performance bare metal containers and virtual machines.

Spearhead Cloud provides an optimized solution for running container-native Linux on bare metal extending the benefits of containerization even to legacy workloads and stateful services.

### Easy to use and manage
Spearhead Cloud provides a simple solution for the management and operations of your cloud infrastructure. The tooling is designed to get out of your way so that you can focus on your systems and applications. By integration with third party tooling you can easily implement orchestration policies to automate any task.

Spearhead Cloud uses Docker-native tools for managing your containers. Now you can manage your elastic Spearhead Cloud infrastructure as easily as you would the resources on your own laptop.

### Compute
Spearhead Cloud offers bare metal performance without the use of virtualization for our containers and allows you to resize on-demand without downtime.
Our virtualization technology is based on the well known KVM virtualization stack and provides close to bare metal performance for your legacy workloads.


### Network
Spearhead Cloud provides a complete software-defined-networking stack allowing for full IP stacks, easy management and high performance.

### Security
Spearhead Cloud leverages well known Zones technology to keep tenants from seeing each others data but also assures that everyone gets their share of the resources.

### Debugging and Visibility
Spearhead Cloud provides complete visibility for your systems and applications though dynamic tracing, complex monitoring and native docker logging.
